<%@ Import Namespace="Simple" %>

<script runat=server>
Public Sub Page_Load()
  ' Create a new instance of the UsingSoapHeaders
  ' proxy class used to call the remote .asmx file
  Dim u = New UsingSoapHeaders()

  ' Create a new instance of the mySoapHeader class
  Dim myHeader As New MySoapHeader()

  ' Set the value of myHeader
  myHeader.Value = "Sample Header Text"

  ' Set the MySoapHeader public member of the
  ' UsingSoapHeaders class to myHeader
  u.MySoapHeaderValue = myHeader
		
  ' Get the result of the call
  Dim result As String
  result = u.GetValueOfSoapHeader()
  span1.InnerHtml = result
End Sub
</script>
<font size=6>The value of the SOAP header is: <font color=red><span id=span1 runat=server/></font></font>
